[CONTENT_SEND_MESSAGE]
From: {FROM}
To: {TO}
Subject: Notify: {TITLE} Rev. {REV_NEW}
Content-type: text/html

<html>
<head>
<style>
body { font-family:'Times New Roman' }
table tr td { font-family: 'Fixedsys' }
a:link {text-decoration:none}
</style>
</head>
<body>
<b>This is an automatic notification for <a href="{URL_FILE}" target="_blank">{FILE}</a> in module <a href="{URL_MODULE}" target="_blank">{MODULE}</a>.</b><br>
File: {FILE}<br>
Old: {REV_OLD} ({DATE_OLD})<br>
New: {REV_NEW} ({DATE_NEW})<br>
log: {LOGMSG}<br>
</b>
<hr size=1>
<pre>
{CONTENT}
</pre>
<hr size=1>
</body>
</html>
[/CONTENT_SEND_MESSAGE]

[CONTENT_ADDED]
<span style="background='yellow'">{LINE}</span>
[/CONTENT_ADDED]

[CONTENT_DROPPED]
<span style="background:'cyan'"><strike>{LINE}</strike></span>
[/CONTENT_DROPPED]

[CONTENT_EQUAL]
{LINE}
[/CONTENT_EQUAL]

[CONTENT_ATTACH_SEND_MESSAGE]
From: {FROM}
To: {TO}
Subject: Notify: {TITLE} Rev. {REV_NEW}
Content-Type: multipart/mixed; boundary="CVSNOTIFY_BOUNDARY"

--CVSNOTIFY_BOUNDARY
Content-Type: text/html

<html>
<head>
<style>
body { font-family:'Times New Roman' }
table tr td { font-family: 'Fixedsys' }
a:link {text-decoration:none}
</style>
</head>
<body>
<b>This is an automatic notification for <a href="{URL_FILE}" target="_blank">{FILE}</a> in module <a href="{URL_MODULE}" target="_blank">{MODULE}</a>.</b><br>
<b>See attached file</b><br>
File: {FILE}<br>
Old: {REV_OLD} ({DATE_OLD})<br>
New: {REV_NEW} ({DATE_NEW})<br>
log: {LOGMSG}<br>
</b>
<hr size=1>
</body>
</html>

--CVSNOTIFY_BOUNDARY
Content-Type: application/octet-stream; name="{FILE}"
Content-Disposition: attachment; filename="{FILE}"
Content-Transfer-Encoding: base64

{CONTENT}
--CVSNOTIFY_BOUNDARY--

[/CONTENT_ATTACH_SEND_MESSAGE]
[LOGSEND_HEADER]
From: {FROM}
To: {TO}
Subject: CVS Log {MODULE}
Content-type: text/html

<html>
<head>
<style>
body { font-family:'Times New Roman' }
table tr td { font-family: 'Verdana'; font-size: 11pt; }
a:link, a:visited, a:active {text-decoration:none; color:blue}
</style>
</head>
<body>
This is an automatic notification for <a href="{URL_MODULE}" target="_blank">{MODULE}</a>.<br>
<hr size=1>
<table width="600" border="1" cellpadding="3" cellspacing="0">
<tr bgcolor="#ddddff"><th colspan="4">Log Message</th></tr>
<tr><td colspan="4">{LOG}</td></tr>
<tr bgcolor="#ddddff"><th colspan="4">Change List</th></tr>
<tr bgcolor="#eeeeff">
	<th width="370">File</th>
	<th width="90">Old Rev.</th>
	<th width="50">Diff</th>
	<th width="90">New Rev.</th>
</tr>
[/LOGSEND_HEADER]

[LOGSEND_FOOTER]
</table>
</body>
</html>

[/LOGSEND_FOOTER]


Applied template: LOG_NEW_FILE, LOG_MODIFIED_FILE, LOG_DELETE_FILE
{FILE} : committed file (not path)
{URL_OLD} : viewcvs(cvsweb) old revision url
{URL_NEW} : viewcvs(cvsweb) new revision url
{URL_DIFF} : viewcvs(cvsweb) old and new differrence url
{REV_OLD} : old revision
{REV_NEW} : new revision

[LOGSEND_NEW_FILE]
<tr><td><a href="{URL_FILE}">{FILE}</a> <b style="font-size:8pt">(new)</b></td>
    <td align='center'>&nbsp;</td>
    <td align='center'>&nbsp;</td>
    <td align='center' style='font-size:8pt'>
    <a href="{URL_NEW}" target="_blank">{REV_NEW}</a>
    <a href="{URL_NEW_ANNOTATE}" target="_blank">{ANNOTATE_NEW}</a><a href="{URL_NEW_DOWNLOAD}" target="_blank">{DOWNLOAD_NEW}</a></td>
</tr>
[/LOGSEND_NEW_FILE]

[LOGSEND_MODIFIED_FILE]
<tr><td><a href="{URL_FILE}">{FILE}</a></td>
    <td align='center' style='font-size:8pt'><font style='font-size:8pt'><a href="{URL_OLD}" target="_blank">{REV_OLD}</a>
    <a href="{URL_OLD_ANNOTATE}" target="_blank">{ANNOTATE_OLD}</a><a href="{URL_OLD_DOWNLOAD}" target="_blank">{DOWNLOAD_OLD}</a></td>
    <td align='center' style='font-size:8pt'><a href="{URL_DIFF}" target="_blank">diff</a></td>
    <td align='center' style='font-size:8pt'><a href="{URL_NEW}" target="_blank">{REV_NEW}</a>
    <a href="{URL_NEW_ANNOTATE}" target="_blank">{ANNOTATE_NEW}</a><a href="{URL_NEW_DOWNLOAD}" target="_blank">{DOWNLOAD_NEW}</a></td>
</tr>
[/LOGSEND_MODIFIED_FILE]

[LOGSEND_DELETE_FILE]
<tr><td><a href="{URL_FILE}">{FILE}</a> <b style="font-size:8pt">(deleted)</b></td>
    <td align='center' style='font-size:8pt'><a href="{URL_OLD}" target="_blank">{REV_OLD}</a>
    <a href="{URL_OLD_ANNOTATE}" target="_blank">{ANNOTATE_OLD}</a><a href="{URL_OLD_DOWNLOAD}" target="_blank">{DOWNLOAD_OLD}</a></td>
    <td align='center'>&nbsp;</td>
    <td align='center'>&nbsp;</td>
</tr>
[/LOGSEND_DELETE_FILE]

[FILE_NAME_PERMIT]
The file name should be followed by below format
==================================================
{RULE_DESC}
==================================================
[/FILE_NAME_PERMIT]

# vim: syntax=html
# If you want to highlight section in vim type below
:syntax region special start=/^\[/ end=/\]/
