#!/usr/bin/env perl

####################################################################
# CVS Activity Notifying Tool
# $Id: cvsnotify-doxygenchk.pl,v 1.1 2004/03/15 22:46:00 pynoos Exp $
# Copyright (C) 2004 by Hojin Choi <pynoos@users.kldp.net>
# You can redistribute this software under GPL.
####################################################################

sub doxygenchk_preprocess()
{
	my $doxygen = $conf{'doxygen'};
	unless( $doxygen )
	{
		print "Error: doxygen is not specified.\n";
		return 0;
	}
	unless( -x $doxygen )
	{
		print $log "Error: doxygen [$doxygen] is not runnable.\n";
		return 0;
	}
	return 1;
}

sub doxygenchk_foreach($)
{
	$_ = shift;
	return unless -f $_;

	my $doxygen = $conf{'doxygen'};

	print $log "Doxygen comment: file [$_]\n";
=cut
	Not yet coded
=cut
}

sub doxygenchk_postprocess(@)
{
	return 1;
}

# End of script.
1
